/* Bug 732752 test case.
 * Author: Paolo Bonzini <pbonzini@redhat.com>
 */

#include <linux/module.h>

#define MSR_IA32_VMX_PROCBASED_CTLS2 0x48b
#define MSR_IA32_VMX_CR4_FIXED1 0x489

static int __init
bz732752_init(void)
{
	int ret = wrmsr_safe(MSR_IA32_VMX_CR4_FIXED1, 0, 0);
	printk("Check MSR write %s %d\n", ret ? "failed" : "succeeded", ret);
	ret = wrmsr_safe(MSR_IA32_VMX_PROCBASED_CTLS2, 0, 0);
	printk("MSR write %s %d\n", ret ? "failed" : "succeeded", ret);
	return 0;
}
module_init(bz732752_init);

static void __exit
bz732752_exit(void)
{
}

module_exit(bz732752_exit);
MODULE_LICENSE("GPL");
MODULE_AUTHOR("Paolo Bonzini <pbonzini@redhat.com>");
MODULE_DESCRIPTION("Test writing MSR_IA32_VMX_PROCBASED_CTLS2");

